Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::position_interpolator_node Class Reference

Inheritance diagram for openvrml::vrml97_node::position_interpolator_node:

[legend]
List of all members.

## Detailed Description

PositionInterpolator node instances.

## Public Member Functions

| position_interpolator_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~position_interpolator_node () throw ()
| Destroy.

## Private Attributes

set_fraction_listener | set_fraction_listener_
| set_fraction eventIn handler.
exposedfield< mffloat > | key_
| key exposedField.
exposedfield< mfvec3f > | key_value_
| keyValue exposedField.
sfvec3f | value_changed_
| value_changed eventOut value.
sfvec3f_emitter | value_changed_emitter_
| value_changed eventOut emitter.

## Friends

class | position_interpolator_class
| Class object for PositionInterpolator nodes.

## Classes

class | set_fraction_listener
| set_fraction eventIn handler. More...

## Constructor & Destructor Documentation

openvrml::vrml97_node::position_interpolator_node::position_interpolator_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with the node instance.
  | scope | the scope to which the node belongs.

openvrml::vrml97_node::position_interpolator_node::~position_interpolator_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Friends And Related Function Documentation

class openvrml::vrml97_node::position_interpolator_node::position_interpolator_class`[friend]`

| Class object for PositionInterpolator nodes.

## Member Data Documentation

position_interpolator_node::set_fraction_listener openvrml::vrml97_node::position_interpolator_node::set_fraction_listener_`[private]`

| set_fraction eventIn handler.

exposedfield< mffloat > openvrml::vrml97_node::position_interpolator_node::key_`[private]`

| key exposedField.

exposedfield< mfvec3f > openvrml::vrml97_node::position_interpolator_node::key_value_`[private]`

| keyValue exposedField.

sfvec3f openvrml::vrml97_node::position_interpolator_node::value_changed_`[private]`

| value_changed eventOut value.

sfvec3f_emitter openvrml::vrml97_node::position_interpolator_node::value_changed_emitter_`[private]`

| value_changed eventOut emitter.